<template>
  <div @click="$emit('click')" class="comment-button" :style="divRules">
    <svg ref="svg" >
      <path
        id="path10"
        :fill="textColor"
        :transform="svgTransform"
        d="m 305.2,358.8 c -15.3,4 -32.3,6.2 -48.7,6.2 -93.5,0 -144.4,-57.6 -144.4,-119.3 0,-61.3 50.4,-118.9 144.4,-118.9 88.7,0 145.4,62.7 145.4,124.3 0,33.4 -16.7,65.3 -50.2,87.3 1.3,11 6.2,21.2 14,29.1 l 14.5,14.5 h -20.5 c -20.5,0 -40,-8.4 -54.5,-23.2 z"
      />
    </svg>

    <span v-if="long">{{number}} {{$t('comments')}}</span>
  </div>
</template>

<script lang="ts">
import { Component, Prop, Vue } from "vue-property-decorator";
@Component
export default class CommentsButton extends Vue {
  @Prop({ default: 0 }) readonly number!: number;
  @Prop({ default: true}) readonly long!: boolean;

  svgTransform = "";
  textColor = this.$store.getters.colors.textColor
  backgroundColor = this.$store.getters.colors.backgroundColor

  get divRules() {
    return `background-color: ${this.backgroundColor}; color:${this.textColor};`;
  }


  mounted() {
    const circle = this.$refs.svg as Element;
    const originalHeight = 274;
    const scale = (circle.clientHeight * 0.75) / originalHeight;
    // const x = -(circle.clientHeight / 2) * 0.5;
    const y = -(circle.clientHeight / 2) * 0.5;
    this.svgTransform = `translate(${y},${y}) scale(${scale})`;
  }
}
</script>

<style lang="scss" scoped>
.comment-button {
  // width:50px;
  height: 20px;
  border-radius: 30px;
  padding: 5px 5px;
  background-color: #deca38;
  display: flex;
  align-items: center;
  justify-content: center;
  span {
    margin: auto;
    font-size: 10px;
  }

  svg {
    height: 20px;
    width: 20px;
  }
}
</style>
